const isEqual = require('lodash.isequal')

export function optionRequireRefetch(prev, next) {
  if(!prev && !next) return false
  if(prev && !next) return true
  if(!prev && next) return true
  if(prev.sync != next.sync) return true
  if(prev.pageLength != next.pageLength) return true
  if(!isEqual(prev.where, next.where)) return true
  if(!isEqual(prev.orderBy, next.orderBy)) return true
  if(!isEqual(prev.startAt, next.startAt)) return true
  if(!isEqual(prev.startAfter, next.startAfter)) return true
  if(!isEqual(prev.endAt, next.endAt)) return true
  if(!isEqual(prev.endBefore, next.endBefore)) return true
  return false
}
